//example initial chats
chat "rocket"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"
	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"To protect the world from devastation! To unite all people within our nation!";
		"Team Rocket blast off at the speed of light!";
		"Surrender now, or prepare to fight!";
		1, ", surrender now or prepare to fight!";
		4, ", or should I say... ", 0, "'s place!";
		"Oh, it's you ", 1;
		"Yich, twerpsville.";
		HELLO6;
		HELLO5;
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Looks like Team Rocket's blasting off again...";
		"Bye now, be good!";
		"I'd love to stay and chat, really I would....";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"To protect the world from devastation! To unite all people within our nation!";
		"Team Rocket blast off at the speed of light!";
		"Surrender now, or prepare to fight!";
		1, ", surrender now or prepare to fight!";
		LEVEL_START1;
		LEVEL_START2;
		// 0 = bot name
		// 4 = Level's title
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Hmphh. Well at least I wasn't last...";
		"Hehe, looks like ", 3, "'s blasted off again!";
		"I hate you ", 2, ", I really do. Next time. Next time!";
		"Next time we dig the hole deeper, and further to the left...";
		// 0 = bot name
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"Team Rocket blast off at the speed of light!";
		"To protect the world from bad deathmatchers! That means you, 3...";
		"I won? I won!";
		"Looks like ", 0, " is the best... Glad we've sorted that out then! ";
		"I win, chimps!";
		"Just call me Winning Machine! Haha!";
		"I'd like to thank all the little people that made this win possible!";
		"The boss -will- be pleased!";
		// 0 = bot name
		// 3 = opponent in last place
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"Well at least I'm better looking than ", 2, ".";
		"Looks like Team Rocket's blasting off again!";
		"Looks like ", 0, "'s sulking off again...";
		"I'll catch you yet, ", 2, "!";
		"I lost. How could I lose?!?";
		"Why is there never a remote-controlled robotic slaying machine around when you need it?";
		"The boss is not going to be happy...";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Do you MIND?!?";
		"I do NOT like being INTERRUPTED!";
		"Even -I- wouldn't stoop to such a level!";
		// 0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"I've taken worse than that, ", 0, "!";
		"Looks like -this- uniform's dirty now. Great, thanks", 0;
		"You... dared... You die!";
		"Haha, not even ", 0, " can stop me!";
		"Close one ", 0, "but not quite close enough!";
		PRAISE3;
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"I'll catch you yet, ", 0, "!";
		"Come on ", 0, ", I'm running out of ammo here!";
		"You're mine, ", 0, ", mine I say!";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"How rude.";
		DEATH_TELEFRAGGED1;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"Looks like Team Rocket's falling off again... ow.";
		"This is going to be messy...";
		"I should be used to this by now...";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"Ouchie! Looks like Team Rocket's burning up again!";
		"This is not going to look good in the morning.";
		DEATH_LAVA0;
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"Ewww... This is -not- good for the complexion!";
		"Do you know long it takes to get this uniform clean? Do you?!?";
		"Icky. Very Icky.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Looks like Team Rocket's diving in again! Gulp.";
		"I like the pool ", 0, ", a little deep perhaps...";
		"It's going to take me HOURS to get gorgeous again now!";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"Well, that figures.";
		"Looks like Team Rocket's blasting off again!";
		"Blasting off at the speed of light isn't as fun as it sounds...";
		"ooooooohhh!!!";
		DEATH_SUICIDE2;
		DEATH_SUICIDE4;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Get your HANDS OFF ME, ", 0 ,"!";
		"Watch it with those wandering hands, ~jerk!";
		DEATH_GAUNTLET0;
		DEATH_TELEFRAGGED3;
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"Hey, ", fighter, "! That was a cheap shot! MY cheap shot!";
		"Hey, that was nasty! I may be bad, but I'm not nasty!";
		DEATH_RAIL1;
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"It's the subtle things that make life... That was not subtle.";
		"Hey, anyone can win with a gun like that, ", 0, "!   (must get a gun like that...)";
		"I -do- hope you enjoyed that, ", 0, ".";
		DEATH_BFG1;
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"It almost looked like ", 0, " actually aimed then!";
		"Next time! NEXT TIME!";
		"That did it. Now I'm angry!";
		DEATH_INSULT2;
		DEATH_INSULT4;
		// 0 = enemy name
	} //end type


	type "death_praise" //praise initiated when the bot died
	{
		"This isn't fair! ", 0, " has too much dumb luck!";
		"Well done, ", 0, ".  Looks like you're learning something from me...";
		"That's gonna smart for days, ", 0, ".";
		D_PRAISE2;
		D_PRAISE4;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"A cheap shot, but it worked!";
		"Gotta catch 'em all!";
		"Bullseye!";
		"Chalk one up for Team Rocket!";
		KILL_RAIL1;
		KILL_RAIL2;
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"I'd like to shake you by the hand...";
		"Need a hand? Here ya go!";
		"Gotta catch 'em all!";
		KILL_GAUNTLET0;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Knock, knock!";
		"Hey, anyone seen ", 0, "?";
		"I'm sorry, was this place reserved?";
		TELEFRAGGED0;
		TELEFRAGGED5;
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"Looks like dumb luck's on -my- side now, ", 0, "!";
		"Keep up the good work, ", 0, "!";
		"I can't believe it could be -this- easy to win!";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"One more for the collection... the boss -will- be pleased!";
		"Gotta catch 'em all!";
		"Looks like ", 0, "'s blasting off again!";
		"What -are- you doing wrong ", 0, "?";
		"Haha! ", 0, " seems to be having trouble!";
		KILL_INSULT0;
		KILL_INSULT1;
		KILL_INSULT5;
		KILL_INSULT9;
		KILL_INSULT35;
		KILL_INSULT33;
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"At least you tried, ", 0, "... probably.";
		"Try a little harder, ", 0, ", you might do a little better...";
		"I like it when you do that, ", 0, "! Do it again!";
		"An impressive end, ", 0, ", I approve.";
		PRAISE4;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		1, ", seen anyone worth shooting around?";
		"Looks like ", 0, " needs a trip to Salon Roquet!";
		"Who dressed you this morning ", 0, "? Hahaha!" ;
		"You go out in public wearing -that-, ", 0, "?!? You're braver than I thought!";
		"I think someone ought to tell ", 1, " what's going on...";
		KILL_INSULT25;
		KILL_INSULT30;
		// 0 = name of randomly chosen player
		// 1 = last victim name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Prepare for trouble!";
		"Hey, who wants to play 'shoot the ", 0, "'?";
		"To protect the world from devastation! To unite all peoples within our nation!";
		"To denounce the evils of truth and love! To extend our reach to the stars above!";
		"Team Rocket blast off at the speed of light! Surrender now or prepare to fight!";
		one_liners;
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end chat